/*
Theme Name: 十和田湖畔桜楽 2026（Lightning Child）
Theme URI: 
Template: lightning
Description: 十和田湖畔桜楽 Wordpress blogテーマです。公式テーマ「Lightning」を元に子テーマとしてカスタマイズしています。「Lightning」がインストールされていないと動作しませんので、ご注意ください。
Author: k.yasima
Author URI: 
Tags: 
Version: 1.0.0
*/

body, html {
    font-family: "Roboto", "Droid Sans", "游明朝", "YuMincho", "ヒラギノ明朝 ProN W3", "Hiragino Mincho ProN", "HG明朝E", "ＭＳ Ｐ明朝", "ＭＳ 明朝", serif;
    font-weight: 500;
    font-size: 18px;
    color: #000;
}

/* トップページ 最新情報
.wp-block-latest-posts__list {
    text-align: center;    
}
 */

/* トップページ 最新の投稿 タイトル */
a.wp-block-latest-posts__post-title{
    font-size: 1.625rem;
}


/* フッターのライセンス表記を非表示に変更  */	
.site-footer-copyright p:nth-child(2) { display:none; }

/* 最新情報一覧 アイキャッチ画像スペースを非表示 */
.vk_post_imgOuter.media-img{
     /* display:none; */
}

/* 投稿ページ 投稿者名を非表示 */
.entry-meta-item-author { display: none; }

/* 投稿ページ 最終更新日を非表示 */
.entry-meta-item-updated { display: none; }

/* 投稿ページ 前後の記事 非表示
.vk_posts.next-prev{
    display:none;
}
 */

/* 投稿ページ 前後の記事 画像なしデザイン */
.next-prev-prev.card-horizontal .card-body {
    display: flex;
    padding: 0;
    align-items: center;
    justify-content: flex-start;
}

.next-prev-prev.card-horizontal .card-body:before {
    font-family: "Font Awesome 5 Free";
    content: "\f053";
    font-weight: bold;
    position: absolute;
    font-size: 3rem;
    color: rgba(0,0,0,0.1);
    top: calc(50% - 1.5rem);
    left: 1rem;
}

.next-prev-prev.card-horizontal.vk_post .card-body .vk_post_title a {
    display: block;
    padding: 1.5rem 1.0rem 1.5rem 3.5rem;
}

.next-prev-next.card-horizontal .card-body {
    display: flex;
    padding: 0;
    align-items: center;
    justify-content: flex-end;
}

.next-prev-next.card-horizontal .card-body:before {
    font-family: "Font Awesome 5 Free";
    content: "\f054";
    font-weight: bold;
    position: absolute;
    font-size: 3rem;
    color: rgba(0,0,0,0.1);
    top: calc(50% - 1.5rem);
    right: 1rem;
}

.next-prev-next.card-horizontal.vk_post .card-body .vk_post_title a {
    display: block;
    padding: 1.5rem 3.5rem 1.5rem 1.0rem;
}
 
h5.vk_post_title{
    border-bottom: 0px solid var(--vk-color-border-hr)
}
 

/* スライドショーのタイトル */
.ltg-slide-text-title { text-shadow:0 0 3px #fff,0 0 3px #fff,0 0 3px #fff,0 0 3px #fff,0 0 3px #fff,0 0 3px #fff,0 0 3px #fff,0 0 3px #fff,0 0 3px #fff,0 0 3px #fff,0 0 3px #fff,0 0 3px #fff,0 0 3px #fff,0 0 3px #fff,0 0 3px #fff,0 0 3px #fff; }

.ltg-slide-text-caption{ text-shadow:0 0 3px #fff,0 0 3px #fff,0 0 3px #fff,0 0 3px #fff,0 0 3px #fff,0 0 3px #fff,0 0 3px #fff,0 0 3px #fff,0 0 3px #fff,0 0 3px #fff,0 0 3px #fff,0 0 3px #fff,0 0 3px #fff,0 0 3px #fff,0 0 3px #fff,0 0 3px #fff; }


/* スライドタイトル フォントサイズ */
.ltg-slide .ltg-slide-text-title {
    font-size: clamp(20px,3dvw,36px);
}

/* スライドテキスト フォントサイズ */
.ltg-slide .ltg-slide-text-caption {
    font-size: clamp(15px,2dvw,20px);
}

/* ボタン フォントサイズ */
.ltg-slide .btn {
    font-size: clamp(12px,1.8dvw,16px);
}


/* ページヘッダーの背景 */
.page-header {
    /* background-color: #000080; */
    background: url(/cms/wp-content/themes/lightning-child/img/page-header.jpg) no-repeat;
    background-size: cover;
    height: 10vw;
    display: flex;
    align-items: center;
}
 
/* ページヘッダーの文字 */
h1.page-header-title {
    color: #fff;
    /* font-size: 4vw !important; */
}

/* ハンバーガーメニューの位置を右上に変更 */
.vk-mobile-nav-menu-btn {
    right:5px;
    left:inherit;
}

.site-header-logo img{
	max-width: 300px;
	height: 60px;
	max-height: 60px;
}

/* スクロールしていないときにメニューを2行に分けて表示 2024.06.28 yashi
body:not(.header_scrolled) .global-nav-list {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(8em, 1fr));
    width: 700px !important;
}
 */

body:not(.header_scrolled) .vk-menu-acc li {
    margin-bottom: 5px;
}

/* PC 閲覧時のスタイル調整 */
body.device-pc:not(.header_scrolled) .global-nav-list>li>a {
    padding-top: 5px !important;
    padding-bottom: 5px !important;
}

/* タブレット閲覧時のスタイル調整 */
body.device-mobile:not(.header_scrolled) .global-nav-list>li {
    padding-top: 5px !important;
    padding-bottom: 5px !important;
}
body.device-mobile .global-nav-list>li {
    padding: 14px 1.2em;
}